package edu.mermet.tp8.aide;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.KeyStroke;

import edu.mermet.tp8.Application;

public class FenetreSuggestion extends JDialog {
	
	Application application;
	JTextArea tipArea;
	JPanel boutons;
	JButton btnFermer;
	JButton btnNePlusAfficher;
	
	
	public FenetreSuggestion(Application a){
		super(a, true);
		application = a;
		init();
		setTitle("Configuration des menus");
		pack();
		setLocationRelativeTo(null);
		setVisible(true);
	}
	
	private void init() {
		tipArea = new JTextArea(pickATip());
		tipArea.setEditable(false);
		add(tipArea, BorderLayout.CENTER);
		boutons = new JPanel();
		btnFermer = new JButton(new ActionFermer());
		boutons.add(btnFermer);
		btnNePlusAfficher = new JButton(new ActionNePlusAfficher());
		boutons.add(btnNePlusAfficher);
		add(boutons, BorderLayout.SOUTH);
	}

	private String pickATip() {
		return "On peut faire des choses";
	}
	
	public class ActionFermer extends AbstractAction {
        public ActionFermer() {
            super("Fermer");
        }

        @Override
        public void actionPerformed(ActionEvent ae) {
            dispose();
        }
    }
	
	public class ActionNePlusAfficher extends AbstractAction {
        public ActionNePlusAfficher() {
            super("Ne plus afficher");
        }

        @Override
        public void actionPerformed(ActionEvent ae) {
            dispose();
        }
    }
}
